<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;

use Illuminate\Http\Request;
use App\Models\User;

class AuthController extends Controller
{
    public function loginForm(){
        return view("auth.login");
    }

    public function login(Request $request){
        $data = $request->validate([
            "email"=>["email", "required", "string"],
            "password"=>["required"],
        ]);
        if(auth(guard:"web")->attempt($data))
        return redirect()->intended();
        return redirect(route("loginForm"))->withErrors(["errors"=>"Данные введены не верно"]);
    }
    
    public function logout(){
        auth(guard:"web")->logout();
        return redirect('/');
    }

    public function registrationForm(){
        return view("auth.registration");
    }
    public function registration(Request $request){
        $data = $request->validate([
            "name"=>["string", "required"],
            "email"=>["email", "required", "string", "unique:users"],
            "password"=>["required", "confirmed"],
        ]);
        
        $user = User::create([
            "name" => $data["name"],
            "email" => $data["email"],
            "password" => $data["password"],
        ]);
        
        if($user) {
            auth(guard:"web")->login($user);
        }
        return redirect('/');
    }
}
