@extends('layouts.auth')
@section('title')
Авторизация на сайте
@endsection

@section('form')
<form class="bg-white shadow-md rounded px-8 pt-6 pb-8 mb-4" action="{{route("login")}}" method="POST">
    @csrf
    <div class="mb-4">
      <label class="block text-gray-700 text-sm font-bold mb-2" for="email">
        E-mail
      </label>
      <input class="@error('email') border-red-500 @enderror shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline" name="email" id="email" type="text" placeholder="E-mail">
      @error('email')
      <p class="text-red-500 text-xs italic">{{$message}}</p>
      @enderror
    </div>
    <div class="mb-6">
      <label class="block text-gray-700 text-sm font-bold mb-2" for="password">
        Password
      </label>
      <input class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 mb-3 leading-tight focus:outline-none focus:shadow-outline" name="password" id="password" type="password" placeholder="******************">
      @error('errors')
      <p class="text-red-500 text-xs italic">{{$message}}</p>
      @enderror
    </div>
    <div class="flex items-center justify-between">
      <button type="submit" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline">
        Войти
      </button>
      <a href="{{route("registrationForm")}}" class="inline-block align-baseline font-bold text-sm text-blue-500 hover:text-blue-800">
        Регистрация
      </a>
    </div>
  </form>
@endsection
